## memtest86+ 4.00

=== Makefile ===
--- 
+++ 
@@ -11,11 +11,11 @@
 AS=as -32
 CC=gcc
 
-CFLAGS= -Wall -march=i486 -m32 -Os -fomit-frame-pointer -fno-builtin -ffreestanding -fPIC
+CFLAGS= -Wall -march=i486 -m32 -O2 -fomit-frame-pointer -fno-builtin -ffreestanding -fPIC
 
 OBJS= head.o reloc.o main.o test.o init.o lib.o patn.o screen_buffer.o \
-      config.o linuxbios.o memsize.o pci.o controller.o random.o extra.o \
-      spd.o error.o dmi.o
+      config.o linuxbios.o memsize.o pci.o controller.o random.o spd.o \
+      error.o dmi.o cpuid.o
 
 all: memtest.bin memtest
 
@@ -55,6 +55,9 @@
 clean:
 	rm -f *.o *.s *.iso memtest.bin memtest memtest_shared memtest_shared.bin
 
+asm:
+	@./makedos.sh
+
 iso:
 	make all
 	./makeiso.sh
