=== debian/changelog ===
memtest86+ (5.01-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix passing serial options on the command line
    (Closes: #695873): serial-console-fix.patch

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 15 Aug 2019 13:49:09 -0400

memtest86+ (5.01-3) unstable; urgency=medium

  * Build with -fgnu89-inline for GCC 5 (Matthias Klose, Closes: #778001)

 -- Yann Dirson <dirson@debian.org>  Thu, 25 Jun 2015 19:14:21 +0200

memtest86+ (5.01-2) unstable; urgency=medium

  * Build -O0 to workaround what is apparently a gcc 4.9 optimisation bug,
    and use "static" the __in and __out macros to allow compilation to
    proceed under this condition (as done in other distros, including
    Mageia, closes: #753627): memtest86+-5.01-O0.patch.
  * Fix PCI bus scanning on Nehalem architectures (patch from the Mageia
    package): memtest86+-5.01-array-size.patch.
  * Bumped Standards-Version to 3.9.5, no change.

 -- Yann Dirson <dirson@debian.org>  Wed, 10 Sep 2014 21:58:11 +0200

memtest86+ (5.01-1) unstable; urgency=medium

  * Switch to source format 3.0 (quilt).
  * New upstream release (Closes: #727638).
    * Drop makeiso.sh fix for genisoimage, integrated upstream.
    * Refresh multiboot patch, but do not include additional fix for
      #568176 yet (needs more work).
    * Call build target explicitely, since the default target now attempts
      an scp.
  * Include chineses translations for package descriptions (Anthony Wong
    <ypwong@gmail.com>, Closes: #741432)
  * Only run update-grub in the postrm on remove/purge (Luke Faraone /
    Ubuntu, Closes: #587340)
  * Remove leading ./ in lintian-override paths so they get recognized again.

 -- Yann Dirson <dirson@debian.org>  Sat, 28 Jun 2014 17:02:10 +0200

memtest86+ (4.20-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU.
  * Adjust makeiso.sh to call genisoimage.
  * Produce a memtest86+.iso using makeiso.sh and ship it in
    /usr/lib/memtest86+/.  Add build-dep on genisoimage.
  * Drop the old make-memtest86+-boot-floppy script, which was dependant
    on grub-legacy, and whose usefulness is much lower now that we ship an
    iso.  Closes: #591578.
  * Advertise multiboot as experimental in README.Debian.

 -- Yann Dirson <dirson@debian.org>  Sat, 19 Mar 2011 23:40:07 +0100

memtest86+ (4.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Czech (Michal Simunek).  Closes: #589811
    - Italian (Vincenzo Campanella).  Closes: #600219

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Oct 2010 07:24:39 +0200

memtest86+ (4.10-1) unstable; urgency=low

  * The "not yet source format 3.0" release.
  * New upstream release (Closes: #586727).
    * supports 64 e820 lines (Closes: #567165).
  * Acknowledge NMUs (Closes: #565642).
  * Don't emit grub2 menu items if /boot is on a loop-mounted device
    (Ubuntu, Closes: 574788).
  * Cache results of prepare_grub_to_access_device to speed up update-grub
    runs (Ubuntu, Closes: #570987).
  * Fix typo in package description (Robert Tomsick, Closes: #580147).
  * Suggest "grub-pc | grub-legacy" instead of old "grub2 | grub" (Closes:
    #568624).
  * Include es.po for po-debconf (Francisco Javier Cuadrado, Closes:
    #580953).
  * Provide boot entries for non-multiboot image, and tag the multiboot
    ones as experimental (mitigates #570499).
  * Install elf image again (was silently dropped in -2.2).
  * Bumped Standards-Version to 3.8.4, no change.

 -- Yann Dirson <dirson@debian.org>  Sun, 27 Jun 2010 15:16:43 +0200

memtest86+ (4.00-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Check for grub.cfg in postinst. Closes: #550337

 -- Michal Suchanek <hramrach@centrum.cz>  Fri, 04 Jun 2010 13:50:53 +0200

memtest86+ (4.00-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build an image with Multiboot support.  (Closes: #250864)
  * Update de.po, fr.po, ja.po, pt.po, ru.po and sv.po.
    (Closes: #563019, #563288, #564291, #564430, #564470, #565169)
  * Fix in copyright line in debian/copyright to make lintian happy.

 -- Robert Millan <rmh.debian@aybabtu.com>  Sun, 17 Jan 2010 17:06:16 +0100

memtest86+ (4.00-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace manual propt with debconf (Closes: #553292).
  * Fix ".: 4: Can't open /usr/lib/grub/grub-mkconfig_lib" by checking
    both grub files and also changing the linux/linux16 grub command based
    on which version we find (Closes: #550096)
  * Update suggests to a recent version of grub2
  * Add a lintian override for statically-linked-binary (which is expected)

 -- Iustin Pop <iusty@k1024.org>  Sun, 06 Dec 2009 12:20:39 +0100

memtest86+ (4.00-2) unstable; urgency=low

  * Fix wrong integration of grub2 patch (Closes: #549125).

 -- Yann Dirson <dirson@debian.org>  Thu, 01 Oct 2009 21:05:36 +0200

memtest86+ (4.00-1) unstable; urgency=low

  * New upstream release (Closes: #548033).
  * Dropped obsolete patches for old gcc-4.3 bugs (works fine now), and
    for opteron (support for builtin memory controller was redone).
  * Update grub2 support file to use "linux16" command and use
    grub-mkconfig_lib instead of old update-grub_lib (Avi Rozen,
    Closes: #539907, #522345).
  * Update grub2 support file for systems where /boot is on a separate
    partition (Vasilis Vasaitis, Closes: #540572).

 -- Yann Dirson <dirson@debian.org>  Tue, 29 Sep 2009 23:40:15 +0200

memtest86+ (2.11-3) unstable; urgency=low

  * Upload to squeeze.
  * Adjust test condition on which to run update-grub2 in postinst (Robert
    Millan, Closes: #448771).
  * Parametrize debian/rules for easier sync with package memtest.
  * Added a note in extended description that memtest86 is still
    being worked on.
  * Otherwise sync minor changes with memtest86 3.5-1 packaging.
  * Provide link to GPL-2 instead of just GPL in copyright file (lintian).
  * Run lilo from postinst without explicit path (lintian).

