## memtest86+ 5.31~beta

=== debian/changelog ===
memtest86+ (5.31~beta-0.1~mx19+1) mx; urgency=medium

  * New upstream beta version.
  * Drop patches, fixed upstream.
  * Bump to debhelper 10 compat.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 May 2020 15:10:51 -0700
