=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: memtest86+
 Section: misc
 Priority: optional
-Maintainer: Yann Dirson <dirson@debian.org>
-Build-Depends: debhelper (>> 5.0.0), dh-buildinfo, gcc-multilib [amd64 kfreebsd-amd64],
- po-debconf, genisoimage
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Yann Dirson <dirson@debian.org>
+Build-Depends: debhelper (>= 10),
+               dh-buildinfo,
+               gcc-multilib [amd64 kfreebsd-amd64],
+               po-debconf,
+               genisoimage
 Homepage: http://www.memtest.org/
 Standards-Version: 3.9.5
