## memtest86+ 5.31b+dfsg

=== debian/changelog ===
memtest86+ (5.31b+dfsg-4) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New maintainer (Closes: #969191)
  * another changes to makeiso.sh to make the build reproducible:
    - add -uid and -gid to 0 to xorriso options
    - replaced "echo -e" with printf
  * d/postinst: don't run update-grub if in a container
  * d/control: remove mention of lpia arch

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update renamed lintian tag names in lintian overrides.

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 06 Feb 2022 21:35:43 +0100

memtest86+ (5.31b+dfsg-3) experimental; urgency=medium

  * QA upload.
  * d/control: replace genisoimage build-dep with xorriso
  * removed d/patches/make-iso-reproducible
  * d/patches/use-xorriso-instead-cdrkit.patch:
    cdrkit is not supported anymore, use xorriso instead
    also aded the modification of date part to make the build
    reproducible (Closes: #982240)
  * use SOURCE_DATE_EPOCH instead of add BUILD_DATE in d/rules
  * d/rules:
    - use dh_auto_build instead of make
    - restore a change for kfreebsd

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 22 Jan 2022 18:20:23 +0100

memtest86+ (5.31b+dfsg-2) experimental; urgency=medium

  * QA upload.
  * d/patches/dmi-more-ram-slots-and-buffer-overflow-fix.patch:
    prevent crash for buffer overflow in DMI memory and increase
    supported memory devices from 16 to 128 (Closes: #1003906)
    Thanks to Lionel Debroux

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 18 Jan 2022 18:30:04 +0100

memtest86+ (5.31b+dfsg-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * QA upload.
  * New upstream version 5.31b (Closes: #989030, #977217)
  * Merge from ubuntu:
    - Use elf version by default that should works on major of system.
    - Drop the multiboot image from the GRUB menu for now, since it's
      experimental and has known problems detecting all memory on some
      systems at the moment.
    - Support localization of GRUB menu entries.
    - Don't present in GRUB menu on EFI systems, since it won't work.
      (Closes: #695246)
    - Close FD 3 when invoking update-grub.
  * Warn that don't support EFI instead of exit silently (LP: 1863940)
  * Don't add grub2 entries if GRUB_DISABLE_MEMTEST=true is present
    in /etc/default/grub (LP: #420967)
  * Make possible disable serial with GRUB_MEMTEST_DISABLE_SERIAL,
    enable multiboot with GRUB_MEMTEST_ENABLE_MULTIBOOT and add
    custom serial parameters with GRUB_MEMTEST_SERIAL_PARAMS
    (Closes: #898636, #612371)
  * Specify on grub2 menu entries when elf and bin are used
  * d/control: Remove hwtools and kernel-patch-badram from suggests.
  * d/copyright: add Upstream-Name, Upstream-Contact and Source fields
  * Bumped Standards-Version to 4.6.0
  * d/patches:
    - update multiboot patch from coreboot patch based on the one of
      Vladimir Serbinenko and refreshed for 5.31b (Closes: #568176)
    - refresh memtest86+-5.01-O0.patch
    - disable memtest86+-5.01-array-size.patch and gcc-5 as seems not
      needed with newer upstream version
    - refresh serial-console-fix.patch
    - add test-random-cflags.patch: use CFLAGS with random.o for
      maintain flags like -fno-stack-protector
    - add fix-gcc8-freeze-crash.patch: runtime fix for gcc>=8
      freeze/crash
    - add discard-note_gnu_property.patch: discards the
      ".note.gnu.property" section that causes crash in some cases

  [ Jérémy Bobbio ]
  * Make the package build reproducibly:
    - Add a patch to make ISO image reproducible.
    - Set the build date to the latest debian/changelog entry in
      debian/rules. (Closes: #783515)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 09 Jan 2022 21:41:58 +0100

memtest86+ (5.01-4) unstable; urgency=medium

  [ Fabio Fantoni ]
  * QA upload.
  * switch package to use dh and bump compat to 12
    (Closes: #999226, #965720)
  * update debian/watch

  [ Yann Dirson ]
  * Add Vcs-* fields for salsa repo.
  * Add Dutch translation (Closes: #765362)
  * Add Brazilian Portuguese translation (Closes: #787752)
  * Remove usage of obsolete dh_buildinfo

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 19 Dec 2021 13:56:27 +0100
