=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg, \
  https://www.memtest.org/ download/(.*)/memtest86\+-(?:.*)\.tar\.gz
